Jobiflow LogoAPI Docs
ApiWebhooks

List webhook subscriptions

Returns all webhook subscriptions registered for your company. Requires scope: `webhooks:manage`

GET
/public/v1/webhooks

Returns all webhook subscriptions registered for your company.

Requires scope: webhooks:manage

Authorization

ApiKeyAuth
X-API-Key<token>

API key issued by Jobiflow. Pass it in the X-API-Key request header.

Create keys via the company dashboard (Settings → API Keys) or via POST /settings/api-keys.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/public/v1/webhooks"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda",
    "url": "http://example.com",
    "events": [
      "string"
    ],
    "active": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]
{
  "status": 401,
  "error": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "timestamp": "2026-05-17T12:00:00Z",
  "path": "/public/v1/job-listings"
}
{
  "status": 403,
  "error": "FORBIDDEN",
  "message": "Scope 'jobs:write' is required",
  "timestamp": "2026-05-17T12:00:00Z",
  "path": "/public/v1/job-listings"
}